Actions for the gCubeActions Pipeline
--

Container for Actions executed with the gCubeActionExecutor pipeline.

## List of Repositories

Each action is executed on a list of repositories. The expected format of the file with the list on repo name per file.

For example:
````
repo_name1
repo_name2
repo_name3
...
````
The URL of the Gitea organization where to find these repositories is passed as parameters of the _gCubeActionExecutor_ 
pipeline.

## How to Generate the List
The script <code>generateRepoList.sh</code> can be executed any time to generate an up-to-date list 
of repositories in the _gCubeSystem_ organization. If a different organization has to be scanned, we can easily change 
the scrip tor make it parametric.

The output of the script is a file named <code>gCubeSystem_all_sorted_$timestamp.txt</code>. 
The list in the output file is alphabetically ordered.